Subject: bug#32790: 27.0.50; point jumps unexpectedly after delete-window

From: martin rudalics <[email-masked]>
Date: Tue, 25 Sep 2018 09:28:33 +0200

>>> Now I understand that it jumps to the most recently selected window,
 >>> but this logic is not obvious.  Then why not to the most recently
 >>> displayed window?
 >>
 >> The idea to automatically select a window that has never been selected
 >> before is not overly intuitive IMHO.
 >
 > OTOH, the fact that the user not yet used that window could mean that
 > it's time to use it now, i.e. not less intuitive.

Consider the case of a user continuously editing a buffer in one and
the same window, occasionally popping up temporary windows to display
tags, completions, matches, help or info.  Should deleting such a
temporary window really select another temporary window?  We wouldn't
get away unpunished with such a solution.

martin